package com.zksy.drainage.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.drainage.domain.EngineeringFacility;

import java.util.List;

/**
 * 工程设施基础数据 Service接口
 */
public interface EngineeringFacilityService extends IService<EngineeringFacility> {

    /**
     * 分页查询
     */
    Page<EngineeringFacility> findByPage(long pageNum, long pageSize,
                                         String name, String area, String facilityType);

    /**
     * 新增
     */
    boolean saveEntity(EngineeringFacility entity);

    /**
     * 修改
     */
    boolean updateEntity(EngineeringFacility entity);

    /**
     * 删除
     */
    boolean removeEntity(String id);

    /**
     * 批量删除
     */
    boolean removeBatchEntity(List<String> ids);

    /**
     * 绑定设备到工程设施
     */
    boolean bindEquipment(String id, List<String> equipmentIds);
}
